MultiFormatUPCEANReader (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.oned, class: MultiFormatUPCEANReader

Package com.google.zxing.oned

# Class MultiFormatUPCEANReader

java.lang.Object
com.google.zxing.oned.OneDReader
com.google.zxing.oned.MultiFormatUPCEANReader

All Implemented Interfaces:
  `Reader`

public final class MultiFormatUPCEANReader extends OneDReader

A reader that can read all available UPC/EAN formats. If a caller wants to try to read all such formats, it is most efficient to use this implementation rather than invoke individual readers.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiFormatUPCEANReader(Map<DecodeHintType,?> hints)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result`
  `decodeRow(int rowNumber, BitArray row, Map<DecodeHintType,?> hints)`
  Attempts to decode a one-dimensional barcode format given a single row of an image.
  `void`
  `reset()`
  Resets any internal state the implementation has after a decode, to prepare it for reuse.

  ### Methods inherited from class com.google.zxing.oned.OneDReader

  `decode, decode, patternMatchVariance, recordPattern, recordPatternInReverse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiFormatUPCEANReader

    public MultiFormatUPCEANReader(Map<DecodeHintType,?> hints)

- ## Method Details

  - ### decodeRow

    public Result decodeRow(int rowNumber, BitArray row, Map<DecodeHintType,?> hints) throws NotFoundException
    Description copied from class: `OneDReader`

    Attempts to decode a one-dimensional barcode format given a single row of an image.

    Specified by:
      `decodeRow` in class `OneDReader`
    Parameters:
      `rowNumber` - row number from top of the row
      `row` - the black/white pixel data of the row
      `hints` - decode hints
    Returns:
      `Result` containing encoded string and start/end of barcode
    Throws:
      `NotFoundException` - if no potential barcode is found

  - ### reset

    public void reset()
    Description copied from interface: `Reader`
    Resets any internal state the implementation has after a decode, to prepare it for reuse.
    Specified by:
      `reset` in interface `Reader`
    Overrides:
      `reset` in class `OneDReader`